import { Logger } from '../../../core/infrastructure/logger';
import { GitReport } from '../../domain/git-report';
import { ProgressBar } from '../../application/git-report.printer';
export declare class GitReportCliPrinter {
    private logger;
    constructor(logger: Logger);
    info(...text: string[]): void;
    error(...text: string[]): void;
    generateProgressBar(conceptToProgressAbout: string): ProgressBar;
    printInit(): void;
    printStartFetchingDirectory(pathToDirectory: string): void;
    printStartFetchingProjects(projectsPath: string[]): void;
    printFailedReports(failedReports: GitReport[]): void;
    private static extractProjectName;
}
