import { Shell } from '../../core/infrastructure/shell';
import { GitReport } from '../domain/git-report';
import { GitReportRepository, ReadGitReportParams } from '../application/git-report.repository';
export declare class GitReportImplementationRepository implements GitReportRepository {
    private readonly shell;
    constructor(shell: Shell);
    readGitReport({ projectPath, weeks, updateBeforeRead }: ReadGitReportParams): Promise<GitReport>;
    readGitProjects(directoryPath: string): Promise<string[]>;
}
